Bug 246133 - games/cataclysm-dda: update to 0.E, make the tiles version installable together with the console version
Summary: games/cataclysm-dda: update to 0.E, make the tiles version installable togeth...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 22:33 UTC by Greg V
Modified: 2020-05-23 10:35 UTC (History)
1 user (show)

See Also:


Attachments
cataclysm-dda-0e.patch (331.79 KB, patch)
2020-05-02 22:33 UTC, Greg V
no flags Details | Diff
cataclysm-dda-0e.patch v2 (331.80 KB, patch)
2020-05-02 22:36 UTC, Greg V
no flags Details | Diff
Poudriere failed build log (251.75 KB, text/plain)
2020-05-10 10:27 UTC, Hiroki Tagato
no flags Details
cataclysm-dda-0e.patch v3 (360.27 KB, patch)
2020-05-17 22:03 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-05-02 22:33:49 UTC
Created attachment 214040 [details]
cataclysm-dda-0e.patch

[maintainer-update]

This patch updates to the new release 0.E and adds a cataclysm-dda-tiles slave port that's installable together with cataclysm-dda (and in fact depends on it for the data files).

Changelog: https://github.com/CleverRaven/Cataclysm-DDA/blob/0.E/data/changelog.txt
Comment 1 Greg V 2020-05-02 22:36:47 UTC
Created attachment 214041 [details]
cataclysm-dda-0e.patch v2

err, also enable SOUND by default in tiles.
Comment 2 Hiroki Tagato freebsd_committer 2020-05-10 10:27:37 UTC
Created attachment 214345 [details]
Poudriere failed build log

Hi,

I tried to build games/cataclysm-dda-tiles and failed with the following message (a full build log is attached):

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%DATADIR%%/sound/Basic/menu_error.ogg
Error: Orphaned: %%DATADIR%%/sound/Basic/menu_move.ogg
Error: Orphaned: %%DATADIR%%/sound/Basic/musicset.json
Error: Orphaned: %%DATADIR%%/sound/Basic/soundpack.txt
Error: Orphaned: %%DATADIR%%/sound/Basic/soundset.json
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/cataclysm-dda-tiles

Can you look into this?
Comment 3 Greg V 2020-05-17 22:03:57 UTC
Created attachment 214591 [details]
cataclysm-dda-0e.patch v3

Sure, let's install the sounds. I guess I did makeplist with SOUND off.
Comment 4 commit-hook freebsd_committer 2020-05-23 10:33:48 UTC
A commit references this bug:

Author: tagattie
Date: Sat May 23 10:32:57 UTC 2020
New revision: 536283
URL: https://svnweb.freebsd.org/changeset/ports/536283

Log:
  - Update to 0.E
  - Add tiles version as a slave port

  PR:		246133
  Submitted by:	Greg V <greg@unrelenting.technology> (maintainer)
  Approved by:	ehaupt (mentor)

Changes:
  head/games/Makefile
  head/games/cataclysm-dda/Makefile
  head/games/cataclysm-dda/distinfo
  head/games/cataclysm-dda/files/patch-Makefile
  head/games/cataclysm-dda/files/patch-src-translations.cpp
  head/games/cataclysm-dda/pkg-plist
  head/games/cataclysm-dda-tiles/
  head/games/cataclysm-dda-tiles/Makefile
Comment 5 Hiroki Tagato freebsd_committer 2020-05-23 10:35:26 UTC
Committed, thanks!